Subject: Knife maker videos

From: [email-masked] (James Dollar)
Date: 13 Aug 1994 01:13:38 GMT

Has anyone purchased and or viewed any of the knife maker videos?

I've got my eye on two, one by Loveless and the other by Fowler.
Loveless because his blades are the ones that others compare them-
selves to, and Fowler because he communicates so well in Blade.

--
Jame$ Dollar <[email-masked]>